For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDeel Home
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
  • Resources
    • Blog
    • Community
    • API spec
  • Contractors
    • Introduction
    • Invoice adjustments
    • Timesheets
  • Common Use Cases
    • Sign contracts and amendments in bulk
    • Give bonus to contractors
    • Reimburse contractor expenses
  • Endpoints
      • POSTCreate Hourly Report Preset
      • POSTCreate Hourly Report Root Preset
      • DELDelete Hourly Report Preset
      • GETGet Hourly Report Preset by ID
      • GETGet Hourly Report Presets
      • PATCHUpdate Hourly Report Preset
LogoLogo
SupportDeel Home
EndpointsProjects

Create Hourly Report Preset

POST
/timesheets/presets
POST
/rest/v2/timesheets/presets
$curl -X POST https://api.letsdeel.com/rest/v2/timesheets/presets \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "data": {
> "work_statement_id": "123e4567-e89b-12d3-a456-426614174000",
> "hourly_report_root_preset_id": "123e4567-e89b-12d3-a456-426614174000"
> }
>}'
1{
2 "data": {
3 "id": "123e4567-e89b-12d3-a456-426614174000"
4 }
5}

Creates a new hourly report preset, returning the assigned id upon success. Token scopes: timesheets:write

Was this page helpful?
Previous

Create Hourly Report Root Preset

Next
Built with

Authentication

AuthorizationBearer
## Authentication The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail. ```curl curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \ -H 'Authorization: Bearer YOUR-TOKEN-HERE' ``` [Learn more about authentication](/api/authentication)
OR
AuthorizationBearer

Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

Request

This endpoint expects an object.
dataobjectRequired

Response

Successful operation.
dataobject

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error

Authentication

The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.

1curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
2 -H 'Authorization: Bearer YOUR-TOKEN-HERE'

Learn more about authentication